Summary: A daemon which handles hotkeys on Apple laptops.
Name: pbbuttonsd 
Version: 0.8.1a
Release: 1.ydl.1
License: GPL
Group: System Environment/Daemons
Source0: pbbuttonsd-%{version}.tar.gz
Source1: pbbuttonsd.init
Requires: chkconfig
Buildroot: %{_tmppath}/%{name}-%{version}-root
Conflicts: acme

%description
The pbbuttons package provides a daemon which handles changing
brightness and speaker volume levels and monitoring the system
battery.  A client must connect to the daemon to do anything
useful.  

%prep
%setup -n pbbuttonsd-%{version}

%build
# workaround for radeonfb.h in src/module_display.c
%configure --with-ibam=no --with-oss=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/power
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
%makeinstall
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/pbbuttonsd

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/chkconfig --add pbbuttonsd

%preun
/sbin/service pbbuttonsd stop &>/dev/null || :
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --del pbbuttonsd
fi

%postun
/sbin/service pbbuttonsd restart &>/dev/null || :

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pbbuttonsd.cnf
%config %{_sysconfdir}/power/*
%dir /var/pbbuttons
%config %{_initrddir}/pbbuttonsd
%{_bindir}/pbbuttonsd
%{_bindir}/pbbcmd
%{_includedir}/*
%{_libdir}/libpbb.a
#%{_datadir}/locale/*
%{_mandir}/man1/pbbuttonsd.1.gz
%{_mandir}/man1/pbbcmd.1.gz
%{_mandir}/man5/pbbuttonsd.cnf.5.gz

%changelog
* Thu Jan 24 2008 Christopher Murtagh <cmurtagh@terrasoftsolutions.com> - 0.8.1a
- updated to release 0.8.1a, build for YDL 6

* Tue Feb 13 2007 Christopher Murtagh <cmurtagh@terrasoftsolutions.com> - 0.8.0
- updated to release 0.8.0

* Sun Nov 27 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.7.2-1
- updated to release 0.7.2.

* Thu Jul 21 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.7.1
- updated to release 0.7.1.

* Fri Apr 15 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.6.9
- updated to 0.6.9.

* Fri Feb  4 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.6.7-1.a
- updated to 0.6.7a.

* Tue Feb  1 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.6.7-1
- updated to 0.6.7.

* Sat Sep 11 2004 Laurent Papier <papier[AT]tuxfan.net> - 0.6.5-1
- updated to 0.6.5.
- improved configuration files handling.

* Sat Jul 24 2004 Laurent Papier <papier[AT]tuxfan.net> - 0.6.3-1.a
- updated to 0.6.3a.

* Fri Jul  2 2004 Laurent Papier <papier[at]tuxfan.net> - 0.6.2-1
- updated to 0.6.2.

* Fri May 28 2004 Laurent Papier <papier[at]tuxfan.net> - 0.6.1-1
- updated to 0.6.1.

* Sat May 15 2004 Laurent Papier <papier[at]tuxfan.net> - 0.6.0-1.a
- updated to 0.6.0a.

* Sun Apr 18 2004 Laurent Papier <papier[at]tuxfan.net> - 0.5.11-1
- updated to 0.5.11.

* Sat Apr  3 2004 Laurent Papier <papier[at]tuxfan.net> - 0.5.10-1
- updated to 0.5.10.

* Tue Mar  9 2004 Laurent Papier <papier[at]tuxfan.net> - 0.5.9-1
- updated to 0.5.9.
- added pbbcmd command.
- smarter pre-install and post-install scripts.

* Sun Mar 10 2003 David Gelvin <dgelvin@terrasoftsolutions.com>
- set initial conf to something a little less aggressive

* Sun Mar 09 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- fix init script

* Fri Mar 07 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- fix init script

* Wed Mar 05 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- update to 0.5.2

* Wed Oct 02 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- update to 0.4.10a
- /etc/rc.d/init.d -> /etc/init.d
- check if we're on powerbook/ibook in initscript
- don't run in runlevel 5, we want to use acme for hotkeys in X.

* Sat Mar 09 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to 0.4.2a
- fixed init script

* Wed Mar 06 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to 0.4.2
- split server off
- added init script

* Tue Feb 13 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- initial package

